> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/cli-and-api/api/sentinel-asim.md).

# Sentinel Asim

## POST /v1/sentinel-asim/arm

> Build a consolidated Sentinel ASIM ARM template

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/v1/sentinel-asim/arm":{"post":{"tags":["sentinel-asim"],"summary":"Build a consolidated Sentinel ASIM ARM template","responses":{"200":{"description":"ARM template JSON","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/sentinel.ARMBuildInput"}}},"description":"ASIM schemas to include plus optional DCR prefix","required":true}}}},"components":{"schemas":{"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"sentinel.ARMBuildInput":{"type":"object","properties":{"dcrNamePrefix":{"type":"string"},"schemas":{"type":"array","items":{"$ref":"#/components/schemas/sentinel.ASIMSchema"}}}},"sentinel.ASIMSchema":{"type":"string","enum":["authentication","network_session","dns_activity","process_event","file_event","audit_event","web_session","dhcp_event","registry_event","user_management"]}}}}
```

## POST /v1/sentinel-asim/import

> Parse Azure deployment output and build matching Bindplane resources

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/v1/sentinel-asim/import":{"post":{"tags":["sentinel-asim"],"summary":"Parse Azure deployment output and build matching Bindplane resources","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.sentinelImportResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.sentinelImportRequest"}}},"description":"deployment output plus destination credentials","required":true}}}},"components":{"schemas":{"rest.sentinelImportResponse":{"type":"object","properties":{"dceIngestionEndpoint":{"type":"string"},"dcrImmutableId":{"type":"string"},"resources":{"type":"array","items":{"$ref":"#/components/schemas/model.AnyResource"}},"tenantId":{"type":"string"}}},"model.AnyResource":{"type":"object"},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"rest.sentinelImportRequest":{"type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/cli-and-api/api/sentinel-asim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
